/*! *********************************************************************************
* Copyright 2022 NXP
* All rights reserved.
*
* \file
*
* SPDX-License-Identifier: BSD-3-Clause
********************************************************************************** */

#ifndef __PHY_SEC_H__
#define __PHY_SEC_H__

#include "EmbeddedTypes.h"


extern uint8_t  sKeyId;
extern uint32_t sFrameCounter;
extern uint8_t  sUpdateFrameCounter;

void   PhySec_Enable();
bool_t PhySec_IsEnabled();
void   PhySec_SetKeys(uint8_t keyId, uint8_t *prevKey, uint8_t *currKey, uint8_t *nextKey);
void   PhySec_Encrypt(uint8_t *packet, uint8_t packetLength);

#endif /* __PHY_SEC_H__ */
